Spectre  - b39di1531369803 - Intel Paid $100,000 Reward to Team for Spectre 1.1, 1.2 CPU Level Vulnerability

rewarded $100,000 for two researchers to find the CPU Spectre critical vulnerability which leads to leak confidential information through microarchitectural side channels.

Newly discovered spectre level vulnerabilities are catogorised as Spectre 1.1, a new Spectre-v1 and Spectre 1.2.

Previously discovered highly critical vulnerabilities Spectre and Meltdown have been made a huge impact in IT sectors and the works on mobile devices, personal computers and cloud infrastructure depends on the cloud providers.

Spectre and Meltdown flaw allow an attacker to steal the that currently processed on the computer it includes the process of personal photos, Emails, Password manager, instant messages and sensitive documents.

Same as old spectre vulnerabilities, These 2 Spectre 1.1, Spectre 1.2 also affect the CPU which leads to excute the malicious process and take over the previously secured CPU memory.

Both of the attacks leverage the “speculative execution” technique which is used by most modern CPUs to optimize performance.

Spectre 1.1

Newly discovered Spectre 1.1(Bounds check bypass CVE-2017-5753) create speculative buffer overflows by leverages speculative stores. same as traditional buffer overflow, it  can modify data and code pointers.

In this case reserarchers said Data-value attacks can bypass some Spectre-v1 mitigations, either directly or by redirecting control flow.

Attacker can ale to  perform arbitrary speculative code execution using Control-flow attacks and also it bypass the mitigation that was applied on precious speculative-execution attacks in Spectre 1.0.

Intel and ARM has been acknowledged for their vulnerable CPU’S and the AMD didn’t release any statment in this regards.

Spectre 1.2

Researchers said, Spectre1.2(Bounds check bypass on stores – CVE-2018-3693) vulnerability allow to by the read-only Protection and , speculative stores are allowed to overwrite read-only data, code pointers, and code metadata, including vtables.

Also the issue could be exploited by an attacker to bypass the Read/Write PTE flags and write code directly in read-only data memory.

According to the Researchers, We advise users to refer to more user-friendly vendor recommendations for mitigations against speculative buffer overflows or available patches.

MicrosoftRed Hat, Oracle have released security advisories, confirming that they are investigating the issues and potential effects.



Source link

LEAVE A REPLY

Please enter your comment!
Please enter your name here